#
# spec file for package yum-metadata-parser
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yum-metadata-parser
BuildRequires:  glib2-devel
BuildRequires:  libxml2-devel
BuildRequires:  pkgconfig
BuildRequires:  python-devel
BuildRequires:  sqlite-devel
Summary:        A fast metadata parser for yum
License:        GPL-2.0+
Group:          Development/Libraries/Python
Version:        1.1.2
Release:        133.4
Source0:        %{name}-%{version}.tar.bz2
Patch0:         %{name}-1.0-quiet.patch
# PATCH-FIX-UPSTREAM yum-metadata-parser [bnc#802576]
Patch1:         %{name}-1.1.2-handle_2GB_sized_rpms.patch
# PATCH-FIX-UPSTREAM yum-metadata-parser
Patch2:         %{name}-1.1.2-weakdeps.patch
Url:            http://devel.linux.duke.edu/cgi-bin/viewcvs.cgi/yum-metadata-parser/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{suse_version} <= 1010
Requires:       python-sqlite
%endif
%py_requires

%description
Fast metadata parser for yum implemented in C.



Authors:
--------
    Tambet Ingo  <tambet@ximian.com>

%prep
%setup -q
%patch0
%patch1 -p1
%patch2

%build
export CFLAGS="$RPM_OPT_FLAGS"
python setup.py build

%install
python setup.py install -O1 --prefix="%{_prefix}" --root="$RPM_BUILD_ROOT"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog
%{py_sitedir}/*

%changelog
* Mon Feb 24 2014 mls@suse.de
- add support for weak dependencies, needed for newer createrepo
  versions (to make --update work)
  new patch: yum-metadata-parser-1.1.2-weakdeps.patch
* Wed Mar 20 2013 bbrunner@suse.com
- Fixed release-version
* Tue Feb 12 2013 dmacvicar@suse.de
- support >2G rpms in the XML to sqlite conversion (upstream patch)
  (bnc#802576, rh#612409)
* Wed Aug 29 2007 cthiel@suse.de
- update to version 1.1.2
  * add some indexes to speed up a number of lookups in yum
* Mon May 21 2007 cthiel@suse.de
- update to version 1.1.1
  * Expose DBVERSION
* Thu May  3 2007 cthiel@suse.de
- update to version 1.1.0
  * setup.py, yum-metadata-parser.spec: bump version to 1.1.0 b/c of the
    dbversion change
  * db.c, db.h, package.h, xml-parser.c: Bump database version to 10 build_*
    and time_* values are stored as ints, rather than text, and
    checksum_value has been dropped, as this is the same value as pkgId.
  * xml-parser.c: Reduce some code duplication in xml-parser
* Fri Apr  6 2007 cthiel@suse.de
- update to version 1.0.4
  * db.c: Create a pkgKey index for provides, requires, conflicts, and
    obsoletes
  * db.c, db.h, package.h, sqlitecache.c, xml-parser.c: include Prereqs
* Fri Feb 16 2007 cthiel@suse.de
- Requires: python-sqlite
* Fri Feb 16 2007 cthiel@suse.de
- remove Requires: yum
* Mon Jan  8 2007 cthiel@suse.de
- update to version 1.0.3
  * sqlitecache.c: Never use the default glib log handler.  This way, when
  - d0 is passed, we won't output to the glib log handler (since nothing
    should be displayed at all).
  * sqlitecachec.py: support newer pysqlite as included in python 2.5
  * sqlitecache.c: Use structs and function pointers to reduce code
    duplication.
  * sqlitecache.c, sqlitecachec.py: Display repoid while populating the
    cache.
* Sat Aug  5 2006 cthiel@suse.de
- added yum-metadata-parser-1.0-quiet.patch from Fedora
* Sat Aug  5 2006 cthiel@suse.de
- initial package (version 1.0.2)
